Skip to main content
A metadata template describes a reusable set of key/value pairs that can be assigned to a file.

Metadata template

A template for metadata that can be applied to files and folders.
PropertyTypeRequiredDescription
idstringYesThe ID of the metadata template.
typeenum<string>YesThe value will always be metadata_template. Available options: metadata_template.
scopestringNoThe scope of the metadata template can either be global or enterprise_*. The global scope is used for templates that are available to any Box enterprise. The enterprise_* scope represents templates that have been created within a specific enterprise, where * will be the ID of that enterprise.
templateKeystringNoA unique identifier for the template. This identifier is unique across the scope of the enterprise to which the metadata template is being applied, yet is not necessarily unique across different enterprises.
displayNamestringNoThe display name of the template. This can be seen in the Box web app and mobile apps.
hiddenbooleanNoDefines if this template is visible in the Box web app UI, or if it is purely intended for usage through the API.
fieldsarray of objectNoAn ordered list of template fields which are part of the template. Each field can be a regular text field, date field, number field, as well as a single or multi-select list.
copyInstanceOnItemCopybooleanNoWhether or not to include the metadata when a file or folder is copied.
Example
{
  "id": "58063d82-4128-7b43-bba9-92f706befcdf",
  "type": "metadata_template",
  "scope": "enterprise_123456",
  "templateKey": "productInfo",
  "displayName": "Product Info",
  "hidden": true,
  "fields": [
    {
      "type": "string",
      "key": "category",
      "displayName": "Category",
      "description": "The category",
      "hidden": true,
      "options": [
        {
          "key": "Category 1",
          "id": "45dc2849-a4a7-40a9-a751-4a699a589190"
        }
      ],
      "taxonomyKey": "locationTaxonomy",
      "taxonomyId": "05ece6d7-fec4-4d3f-bfd2-36fd4dddea97",
      "namespace": "enterprise_123456",
      "optionsRules": {
        "multiSelect": true,
        "selectableLevels": [
          1,
          2
        ]
      },
      "id": "822227e0-47a5-921b-88a8-494760b2e6d2"
    }
  ],
  "copyInstanceOnItemCopy": true
}

Metadata templates

A list of metadata templates.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Metadata templateNoA list of metadata templates.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "58063d82-4128-7b43-bba9-92f706befcdf",
      "type": "metadata_template",
      "scope": "enterprise_123456",
      "templateKey": "productInfo",
      "displayName": "Product Info",
      "hidden": true,
      "fields": [
        {
          "type": "string",
          "key": "category",
          "displayName": "Category",
          "description": "The category",
          "hidden": true,
          "options": [
            {
              "key": "Category 1",
              "id": "45dc2849-a4a7-40a9-a751-4a699a589190"
            }
          ],
          "taxonomyKey": "locationTaxonomy",
          "taxonomyId": "05ece6d7-fec4-4d3f-bfd2-36fd4dddea97",
          "namespace": "enterprise_123456",
          "optionsRules": {
            "multiSelect": true,
            "selectableLevels": [
              1,
              2
            ]
          },
          "id": "822227e0-47a5-921b-88a8-494760b2e6d2"
        }
      ],
      "copyInstanceOnItemCopy": true
    }
  ]
}
Last modified on July 9, 2026